<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * HTMLテンプレートの設定確認
 *
 * @package     Admin.Datamanage.Htmltemplate.Done
 * @access      public
 */
class Admin_Datamanage_Htmltemplate_Done
{
    var $c_systeminfo;
    var $session;

    var $tpl;
    var $tplval;
    
    var $updcnt;

    var $title;
    var $pagename;

    function execute()
    {
        $company_overview = null;
        $privacy_policy = null;
        $transaction_law = null;
        $permit_rule = null;
        $method_payment = null;
        $use_rule = null;
        
        if($this->tpl == 'company_overview'){
            $company_overview = $this->tplval;
        }
        if($this->tpl == 'privacy_policy'){
            $privacy_policy = $this->tplval;
        }
        if($this->tpl == 'transaction_law'){
            $transaction_law = $this->tplval;
        }
        if($this->tpl == 'permit_rule'){
            $permit_rule = $this->tplval;
        }
        if($this->tpl == 'method_payment'){
            $method_payment = $this->tplval;
        }
        if($this->tpl == 'use_rule'){
            $use_rule = $this->tplval;
        }
        
        $r = $this->c_systeminfo->html_update(
            $company_overview,
            $privacy_policy,
            $transaction_law,
            $permit_rule,
            $method_payment,
            $use_rule,
            $this->updcnt
        );
        if (!$r) {
            return 'error';
        }
        return 'success';
    }
}
?>
